Package org.eclipse.mat.ui

# Class MemoryAnalyserPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.mat.ui.MemoryAnalyserPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class MemoryAnalyserPlugin extends AbstractUIPlugin

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`MemoryAnalyserPlugin.ISharedImages`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EDITOR_ID`
`static final String`
`PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`MemoryAnalyserPlugin()`

## Method Summary

Modifier and Type
Method
Description
`static MemoryAnalyserPlugin`
`getDefault()`
`IExtensionTracker`
`getExtensionTracker()`
`static Image`
`getImage(String name)`
`Image`
`getImage(URL path)`
`Image`
`getImage(ImageDescriptor descriptor)`
`Image`
`getImage(QueryDescriptor query)`
`static ImageDescriptor`
`getImageDescriptor(String path)`
`ImageDescriptor`
`getImageDescriptor(URL path)`
`ImageDescriptor`
`getImageDescriptor(QueryDescriptor query)`
`String`
`getImageText(Image image)`
`static void`
`log(Throwable e)`
`static void`
`log(Throwable e, String message)`
`static void`
`log(IStatus status)`
`static void`
`main(String[] args)`
`void`
`start(org.osgi.framework.BundleContext context)`
`void`
`stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

### EDITOR_ID

public static final String EDITOR_ID

See Also:
  - Constant Field Values

## Constructor Details

### MemoryAnalyserPlugin

public MemoryAnalyserPlugin()

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `Exception`

### stop

public void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `Exception`

### getDefault

public static MemoryAnalyserPlugin getDefault()

### getImageDescriptor

public static ImageDescriptor getImageDescriptor(String path)

### getImage

public static Image getImage(String name)

### getImage

public Image getImage(ImageDescriptor descriptor)

### getImageDescriptor

public ImageDescriptor getImageDescriptor(URL path)

### getImage

public Image getImage(URL path)

### getImageDescriptor

public ImageDescriptor getImageDescriptor(QueryDescriptor query)

### getImage

public Image getImage(QueryDescriptor query)

### getImageText

public String getImageText(Image image)

Parameters:
  `image` - The Image for which descriptive text is to be retrieved.
Returns:
  Descriptive text for the Image object, retrieved from imageTextMap, or text indicating "unknown image" if not found.

### getExtensionTracker

public IExtensionTracker getExtensionTracker()

### log

public static void log(IStatus status)

### log

public static void log(Throwable e)

### log

public static void log(Throwable e, String message)

### main

public static void main(String[] args)

Parameters:
  `args` - Input arguments are ignored. This Java program generates a properties file "iconlabels.properties" automatically, based on the content of the MAT icons directories. The locations of the /icons directories are hardcoded to be those under org.eclipse.mat.api and org.eclipse.mat.ui, relative to the current working directory which is assumed to be a project in the workspace. This is the case if this program is "Run as Java Application" within Eclipse, using the default working directory org.eclipse.mat.ui. The output is written to "iconlabels.properties" in the current working directory, which can then be copied to the required location for the properties file, org.eclipse.mat.ui/src/org/eclipse/mat/ui/. Error handling is coarse-grained: any Exception is caught and details are printed to System.out. Some other diagnostics are written to System.out if errors occur.